﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BodyTracking
{

    public interface ICameraUpdate
    {
        event EventHandler OnFrameArrived;
    }

    public class CameraEventArgs : EventArgs
    {
        public byte[] message;

        public CameraEventArgs(byte[] msg)
        {
            message = new byte[msg.Length];
            message = msg;
        }

    }

    public interface ICanvasUpdate
    {
        event EventHandler OnCanvasDataArrived;
    }

    public class CanvasDataEventArgs : EventArgs
    {
        public byte[] message;

        public CanvasDataEventArgs(byte[] msg)
        {
            message = new byte[msg.Length];
            message = msg;
        }

    }

}
